Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.search
Class SearchMatcher

    java.lang.Object
      org.gjt.sp.jedit.search.SearchMatcher

Direct Known Subclasses:
  BoyerMooreSearchMatcher, RESearchMatcher

public abstract class SearchMatcher
extends java.lang.Object

An abstract class for matching strings.

Version:
  $Id: SearchMatcher.java,v 1.11 2003/07/14 23:00:54 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary
`static class` | `SearchMatcher.Match`

Field Summary
`protected SearchMatcher.Match` | `returnValue`

Constructor Summary
`SearchMatcher()`

Method Summary
`abstract SearchMatcher.Match` | `nextMatch(CharIndexed text, boolean start, boolean end, boolean firstTime, boolean reverse)` Returns the offset of the first match of the specified text within this matcher.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### returnValue

    protected SearchMatcher.Match returnValue

Constructor Detail

### SearchMatcher

    public SearchMatcher()

Method Detail

### nextMatch

    public abstract SearchMatcher.Match nextMatch(CharIndexed text,
                                                  boolean start,
                                                  boolean end,
                                                  boolean firstTime,
                                                  boolean reverse)

  Returns the offset of the first match of the specified text within this matcher.

  Parameters:
    `text` - The text to search in
    `start` - True if the start of the segment is the beginning of the buffer
    `end` - True if the end of the segment is the end of the buffer
    `firstTime` - If false and the search string matched at the start offset with length zero, automatically find next match
    `reverse` - If true, searching will be performed in a backward direction.
  Returns:
    an array where the first element is the start offset of the match, and the second element is the end offset of the match
  Since:
    jEdit 4.2pre4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD